# Uses of Class
org.eclipse.ecf.core.sharedobject.SharedObjectAddException

Packages that use SharedObjectAddException
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.provider.generic

## Uses of SharedObjectAddException in org.eclipse.ecf.core.sharedobject

Subclasses of SharedObjectAddException in org.eclipse.ecf.core.sharedobject
Modifier and Type
Class
Description
`class`
`SharedObjectAddAbortException`
Exception thrown during transactional add of shared object
Methods in org.eclipse.ecf.core.sharedobject that throw SharedObjectAddException
Modifier and Type
Method
Description
`ID`
ISharedObjectManager.`addSharedObject(ID sharedObjectID, ISharedObject sharedObject, Map properties)`
Add an ISharedObject to this container.

## Uses of SharedObjectAddException in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that throw SharedObjectAddException
Modifier and Type
Method
Description
`ID`
SOManager.`addSharedObject(ID sharedObjectID, ISharedObject sharedObject, Map properties)`